> For the complete documentation index, see [llms.txt](https://docs.alephzero.org/aleph-zero/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alephzero.org/aleph-zero/use/validate/running-an-aleph-node-on-mainnet/running-the-node.md).

# Running the node

### Prerequisites

All prerequisites are exactly the same as on the Testnet with regard to the ports and system configuration. We will present a short reminder on how to get the Aleph Node Runner and start it to connect to Mainnet.

Clone the Aleph Node Runner repo:

```bash
git clone https://github.com/Cardinal-Cryptography/aleph-node-runner
cd aleph-node-runner
```

### Setup and running

Once inside the `aleph-node-runner` folder, run:

```bash
./run_node.sh -n <your_nodes_name>  --ip <your public ip> --mainnet
```

If you are using a domain name instead of an IP (e.g. in a DynDNS configuration), you will need to pass the `--dns` argument:

```
./run_node.sh -n <your_nodes_name> --dns <your domain name> --mainnet
```

Management of the node and any [custom options](/aleph-zero/use/validate/running-an-aleph-node-on-testnet/customizing-your-setup.md) are the same as on Testnet with the notable difference of the config being located in the `env/validator_mainnet` file.

{% hint style="warning" %}
Please make sure to verify your installation as per the [Testnet instructions](/aleph-zero/use/validate/running-an-aleph-node-on-testnet/verifying-your-setup.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alephzero.org/aleph-zero/use/validate/running-an-aleph-node-on-mainnet/running-the-node.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
